# VectorNav C++ Library: vn::math::PositionD Class Reference

vn::math::PositionD Class Reference

Representation of a position/location. More...

`#include <position.h>`

## Static Public Member Functions

static PositionD | fromLla (vec3d lla)
| Creates a new `PositionD` from a latitude, longitude, altitude. More...
static PositionD | fromEcef (vec3d ecef)
| Creates a new `PositionD` from an earth-centered, earth-fixed. More...

## Detailed Description

Representation of a position/location.

## Member Function Documentation

static PositionD vn::math::PositionD::fromEcef | ( | vec3d | ecef | ) |

static

Creates a new `PositionD` from an earth-centered, earth-fixed.

Parameters

  [in] | ecef | The position expressed as an earth-centered, earth-fixed.

Returns
  The new `PositionD`.

static PositionD vn::math::PositionD::fromLla | ( | vec3d | lla | ) |

static

Creates a new `PositionD` from a latitude, longitude, altitude.

Parameters

  [in] | lla | The position expressed as a latitude, longitude, altitude.

Returns
  The new `PositionD`.

The documentation for this class was generated from the following file:

- include/vn/position.h